/* FINAL DRAGON MENU EXIT CODE 4/25/05
JESSE HARRIS
FADES MENU DISPLAY INTO THE MAP INITIALIZER CODE
USEFUL CODE FOR FUTURE GAMES
*/
#include <mygba.h>
#include <hel.h>
extern u16 delay;

int myMenuExit()
{   //fade the pallette a shade every 1/20 of a second or so
    if(delay < 160 && (delay%3 == 0))
    {
        ham_FadePal(0,1);
    }
    if(delay == 0)
    {
        return 1;
    }
    delay--;

    return 0;
}


/* END OF FILE */
